## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         kiss-headers
%global         forgeurl        https://github.com/jawah/kiss-headers
Version:        2.4.3
%global         tag             %{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Object-oriented HTTP and IMAP headers

License:        MIT
URL:            %{forgeurl}
Source:         %{forgesource}


BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-requests
BuildArch: noarch

%global _description %{expand:
Python package for HTTP/1.1 style headers. Parse
headers to objects. Most advanced available structure
for http headers.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%forgeautosetup
# Do not measure test coverage
sed -i '/"--cov=kiss_headers --doctest-modules --cov-report=term-missing -rxXs"/d' \
    pyproject.toml

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files kiss_headers

%check
# Do not run tests that access external network
%pytest -k 'not encode_decode and not httpbin and not parse_response'

%files -n python3-%{srcname} -f %{pyproject_files}
 
%changelog
## START: Generated by rpmautospec
* Mon Oct 21 2024 John Doe <packager@example.com> - 2.4.3-1
- Uncommitted changes
## END: Generated by rpmautospec
